Subject: bug#56335: 29.0.50; [PATCH] Add more breakpoint chars support to longlines-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 05 Jul 2022 18:32:36 +0200

Manuel Giraud <[email-masked]> writes:

> Here is a new patch for longlines-mode. It updates substring filtering
> to the new interface and do not replace soft newlines with spaces
> anymore. So now, copy/pasting from a longlines buffer should work as
> intended.

This leads to

In longlines-encode-string:
longlines.el:394:18: Warning: assignment to free variable `pos'
longlines.el:395:24: Warning: reference to free variable `pos'

> I'm now trying to update the search/query-replace but I don't understand
> how 'search-spaces-regex' works. It seems that with it I should be able
> to jump above soft newlines during search, but how ?

Hm, not sure either...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no